Forward Reply
curl --request POST \
--url https://app.replyify.ai/api/replies/{id}/forward \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": [
{}
],
"message": "<string>",
"include_thread": true
}
'import requests
url = "https://app.replyify.ai/api/replies/{id}/forward"
payload = {
"to": [{}],
"message": "<string>",
"include_thread": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: [{}], message: '<string>', include_thread: true})
};
fetch('https://app.replyify.ai/api/replies/{id}/forward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"forwarded_to": [
{}
],
"forwarded_at": "<string>"
}
}Replies
Forward Reply
Forward a reply to another email address
POST
/
api
/
replies
/
{id}
/
forward
Forward Reply
Forward the reply content to one or more email addresses. Useful for escalating leads or sharing with team members outside of Replyify.
The
One or more email addresses in the
The specified reply ID doesn’t exist in your workspace.
Path Parameters
string
required
The unique identifier (UUID) of the reply
Request Body
array
required
Array of email addresses to forward to
string
Optional message to include above the forwarded content
boolean
default:"true"
Whether to include the full email thread in the forward
Response
object
Examples
Basic Forward
curl -X POST "https://app.replyify.ai/api/replies/abc123-def456-ghi789/forward" \
-H "Authorization: Bearer rpl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"to": ["sales@yourcompany.com"]
}'
const replyId = 'abc123-def456-ghi789';
const response = await fetch(
`https://app.replyify.ai/api/replies/${replyId}/forward`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer rpl_your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
to: ['sales@yourcompany.com']
})
}
);
const data = await response.json();
import requests
reply_id = 'abc123-def456-ghi789'
response = requests.post(
f'https://app.replyify.ai/api/replies/{reply_id}/forward',
headers={'Authorization': 'Bearer rpl_your_api_key'},
json={'to': ['sales@yourcompany.com']}
)
data = response.json()
Forward with Message
curl -X POST "https://app.replyify.ai/api/replies/abc123-def456-ghi789/forward" \
-H "Authorization: Bearer rpl_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"to": ["sales@yourcompany.com", "manager@yourcompany.com"],
"message": "Hot lead - please follow up ASAP. They are interested in our enterprise plan.",
"include_thread": true
}'
const response = await fetch(
`https://app.replyify.ai/api/replies/${replyId}/forward`,
{
method: 'POST',
headers: {
'Authorization': 'Bearer rpl_your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
to: ['sales@yourcompany.com', 'manager@yourcompany.com'],
message: 'Hot lead - please follow up ASAP. They are interested in our enterprise plan.',
include_thread: true
})
}
);
Response Example
{
"data": {
"success": true,
"forwarded_to": [
"sales@yourcompany.com",
"manager@yourcompany.com"
],
"forwarded_at": "2024-01-15T17:00:00Z"
}
}
Errors
{
"error": "At least one recipient email is required"
}
to array is empty or missing.{
"error": "Invalid email address: invalid-email"
}
to array are invalid.{
"error": "Reply not found"
}
Notes
Forwarding a reply triggers the
reply.forwarded webhook event if you have webhooks configured.Forwarding does not change the reply’s status. You can still send a response to the original sender after forwarding.
⌘I